[B033] Organization Pipeline

post
https://connect.patsnap.com/synapse/organization/pipeline
Try in Sandbox

Obtain organization pipeline information about drug, target, disease, dev status etc.

The returned results will include the pipelines of sub-institution and some historical pipeline information.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int64>-
Offset, default 0
limit
integer<int64>10
Limit, default 10. offset + limit <= 10000, limit up to 1,000.
organization_id
string11ef8a9e8bf5ca80213a1183511cded3
Organization ID

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
items
arrayPlease check the form:PipelineDto
Result Items
drug
object{ "drug_id": "d93ac663566e463a8a1ed670ff80e37d", "display_name": [ { "lang": "EN", "name": "Ustekinumab biosimilar (Amgen)" }, { "lang": "CN", "name": "乌司奴单抗生物类似药(Amgen)" } ] }
Drug
drug_id
stringe82b83b42eba4e5ea3f26f8e06081a5a
Drug ID
display_name
array[ { "lang": "EN", "name": "Ranibizumab (Genentech)" }, { "lang": "CN", "name": "雷珠单抗" } ]
Drug Name, Referencing "CommonName"
lang
stringEN
Language
name
stringRanibizumab (Genentech)
Drug,Target,Organization,Disease,Country/Location,DICT,Mechanism Action Name
target
object{ "target_id": "91ca1aaf98ed318e99cee1e186a0da7c", "short_name": [ { "lang": "EN", "name": "IL-12 x IL-23" }, { "lang": "CN", "name": "IL-12 x IL-23" } ], "display_name": [ { "lang": "EN", "name": "IL-12 x IL-23" }, { "lang": "CN", "name": "IL-12 x IL-23" } ] }
Target
target_id
string1c2067e5ab054a8995f73efcfcf56207
Target ID
short_name
array[ { "lang": "EN", "name": "VEGF" } ]
Target Short Name, Referencing "CommonName"
display_name
array[ { "lang": "EN", "name": "Vascular endothelial growth factor" }, { "lang": "CN", "name": "血管内皮生长因子" } ]
Target Full Name, Referencing "CommonName"
country
object{ "country_id": "0dc5d896-7408-3c87-84c0-22e3d9b784be", "alpha2_code": "US", "display_name": [ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ] }
Country/Location
country_id
string676de5ba-893a-36bb-8683-c93306aaf769
Country/Location ID
alpha2_code
stringUS
Alpha Code
display_name
array[ { "lang": "EN", "name": "United States" }, { "lang": "CN", "name": "美国" } ]
Country/Location Name
disease
object{ "disease_id": "05ae12d567784b85a5c1ca54b2063ee2", "display_name": [ { "lang": "EN", "name": "Crohn Disease" }, { "lang": "CN", "name": "克罗恩病" } ] }
Disease
disease_id
string06a9082fe1ec4c97bea31d888b9cfdce
Disease ID
display_name
array[ { "lang": "EN", "name": "Uveitic Macular Edema" }, { "lang": "CN", "name": "葡萄膜炎黄斑水肿" } ]
Disease Name, Referencing "CommonName"
data_type
stringCurrent
Current: Ongoing pipelines; History: Non-ongoing pipelines.
drug_type
array[ { "display_name": [ { "lang": "EN", "name": "Biosimilar" }, { "lang": "CN", "name": "生物类似药" } ], "normalized_id": "9f2e2934e5b2477e916cdbedf928934b" }, { "display_name": [ { "lang": "EN", "name": "Monoclonal antibody" }, { "lang": "CN", "name": "单克隆抗体" } ], "normalized_id": "c38eb408d6b842f487d6a27484156633" } ]
Drug Type
display_name
array[ { "lang": "EN", "name": "Autologous CAR-T" }, { "lang": "CN", "name": "自体CAR-T" } ]
Dict Name
normalized_id
string2fbfdb3e92d942c48cbb0adb79f23526
Dict ID
dev_status
object{ "display_name": [ { "lang": "EN", "name": "Approved" }, { "lang": "CN", "name": "批准上市" } ], "normalized_id": "efd6215835394b07b046125e3175d3fe" }
Dev Status
dev_status_time
integer<int64>1698710400000
Date
therapeutic_area
array{ "drug_id": "d93ac663566e463a8a1ed670ff80e37d", "display_name": [ { "lang": "EN", "name": "Ustekinumab biosimilar (Amgen)" }, { "lang": "CN", "name": "乌司奴单抗生物类似药(Amgen)" } ] }
Therapeutic Area
limit
integer<int64>10
limit
total
integer<int64>10
total
offset
integer<int64>-
offset
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "items": [
      {
        "drug": {
          "drug_id": "e82b83b42eba4e5ea3f26f8e06081a5a",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "target": {
          "target_id": "1c2067e5ab054a8995f73efcfcf56207",
          "short_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "country": {
          "country_id": "676de5ba-893a-36bb-8683-c93306aaf769",
          "alpha2_code": "US",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "disease": {
          "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ]
        },
        "data_type": "Current",
        "drug_type": [
          {
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ],
            "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
          }
        ],
        "dev_status": {
          "display_name": [
            {
              "lang": "EN",
              "name": "Ranibizumab (Genentech)"
            }
          ],
          "normalized_id": "2fbfdb3e92d942c48cbb0adb79f23526"
        },
        "dev_status_time": 1698710400000,
        "therapeutic_area": [
          {
            "disease_id": "06a9082fe1ec4c97bea31d888b9cfdce",
            "display_name": [
              {
                "lang": "EN",
                "name": "Ranibizumab (Genentech)"
              }
            ]
          }
        ]
      }
    ],
    "limit": 10,
    "total": 10,
    "offset": 0
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms